{ config, pkgs, ... }:

{
  # Enable the OpenSSH daemon
  services.openssh.enable = true;

  # Sleep configuration optimized for NVIDIA
  systemd.sleep.extraConfig = ''
    AllowSuspend=yes
    AllowHibernation=no
    AllowHybridSleep=no
    AllowSuspendThenHibernate=no
  '';

  systemd.services.display-manager.restartIfChanged = true;
} 