{ config, pkgs, ... }:

{
  # Allow unfree packages
  nixpkgs.config.allowUnfree = true;

  # System packages
  environment.systemPackages = with pkgs; [
    # Browsers and communication
    vivaldi
    discord
    signal-desktop-bin
    
    # Development tools
    zed-editor
    git
    go
    nodejs_24
    python3Full
    openssh
    
    # Desktop applications
    bitwarden-desktop
    ghostty
    spotify
    vlc
    
    # GNOME extensions
    gnomeExtensions.appindicator
  ];
} 
